function $AdfNavigationUtils$$() {
}
$goog$exportSymbol$$("AdfNavigationUtils", $AdfNavigationUtils$$);
$AdfObject$$.$createSubclass$($AdfNavigationUtils$$);
$AdfNavigationUtils$$.$performGetNavigation$ = function $$AdfNavigationUtils$$$$performGetNavigation$$($component$$2503_destination$$4$$, $clickComponentEvent$$, $target$$234$$) {
  $clickComponentEvent$$.$isLeftButtonPressed$() && !$component$$2503_destination$$4$$.getDisabled() && ($component$$2503_destination$$4$$ = $component$$2503_destination$$4$$.getDestination(), null != $component$$2503_destination$$4$$ && ($AdfPage$$.$PAGE$.$__handleNavigation$($component$$2503_destination$$4$$, $target$$234$$), $clickComponentEvent$$.cancel()));
};
$goog$exportSymbol$$("AdfNavigationUtils.performGetNavigation", $AdfNavigationUtils$$.$performGetNavigation$);
